@import '../../styles.scss';

a {
  all: unset;
  color: #2d3338;
  cursor: pointer;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, text-shadow .15s ease-in-out;


  &:hover {
    text-shadow:  0 0 0.5rem rgba(58, 59, 69, .3) !important;
  }
}

.container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.table-container {
  width: 90%;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  border: solid 0.1em rgba($color-vacc-black, 0.2);
  border-radius: 0.2em;
  background: white;
}

.shadow {
  box-shadow: 0 .15rem 1.75rem 0 rgba(58, 59, 69, .15) !important;
}

.table-header {
  width: 100%;
  min-height: 4em;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  border-radius: 0.5em 0.5em 0 0;
  border-bottom: solid 0.1em rgba($color-vacc-black, 0.2);
  background: #F7F7F7;

  h2 {
    margin: auto 0;
    padding: 0 1em;
    font-size: 1rem;
    font-weight: 800;
    color: #575A5D;
  }

  button {
    margin-right: 1em;
  }
}

.header-search-bar {
  padding: 0 1em;
  display: flex;
  flex-direction: row;
  gap: 0.5em;
  color: rgba($color-vacc-black, 0.6);

  input {
    max-width: 10em;
    border: 1px rgba($color-vacc-black, 0.2) solid;
    border-radius: 0.3em;
  }
}

.table-body {
  width: 100%;
  display: grid;
  grid-template-columns: 1fr;
}

.table-classes {
  width: 100%;
  display: grid;
  //grid-template-columns: repeat(4, 1fr);
  border-bottom: 2px rgba($color-vacc-black, 0.2) solid;
  min-height: 3em;

  div {
    display: flex;
    justify-content: flex-start;
    //border-right: 1px rgba($color-vacc-black, 0.2) solid;
    padding: 0 1em;
    margin: auto 0;
    font-size: 1.1rem;
    font-weight: 500;
    color: lighten(#575A5D, 10%);

    &:last-child {
      border-right: none;
    }
  }
}

.table-entry {
  display: grid;
  //grid-template-columns: repeat(4, 1fr);
  //border-bottom: 1px gray solid;
  width: 100%;
  min-height: 3em;

  &:last-child {
    border-bottom: none;
  }

  div {
    //border-right: 1px rgba($color-vacc-black, 0.2) solid;
    padding: 0 1em;
    margin: auto 0;
    font-size: 1rem;

    &:last-child {
      border-right: none;
    }
  }
}

.table-footer {
  width: 100%;
  min-height: 5em;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  border-top: 1px rgba($color-vacc-black, 0.2) solid;

  div {
    margin: auto 0;
    padding: 0 2em;
    font-size: 0.9rem;
  }
}

.btn {
  border: none;
  text-align: center;
  background-color: #555d6c;
  color: white;
  padding: 0.5em 1.3em;
  border-radius: 0.3em;
  cursor: pointer;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;

  &:hover {
    background-color: #2d3338;
  }
}

.btn-info {
  padding: 0.3em 1.5em;
}

.pages-grid {
  display: flex;
  flex-direction: row;
  gap: 0;

  a {
    border: 1px rgba($color-vacc-black, 0.2) solid;
    border-right: none;
    text-align: center;
    background-color: white;
    color: black;
    padding: 0.4em 0.8em;
    cursor: pointer;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;

    &:hover {
      background: darken(white, 10%);
    }

    &:first-child {
      border-radius: 0.4em 0 0 0.4em;
    }

    &:last-child {
      border-right: 1px rgba($color-vacc-black, 0.2) solid;
      border-radius: 0 0.4em 0.4em 0;
    }
  }

  .selectedPage {
    background: darken(white, 10%) !important;
  }
}

.a-disabled {
  pointer-events: none;
  color: rgba($color-vacc-black, 0.4) !important;
}
